## User Interviews

**Context:**

Welcome to the very first quest of this program.

Your mission, should you choose to accept it, is to find a way to improve athletes’ experience related to their hydration when running.

This first project is very special: you are asked to end up with a non-digital solution. As a matter of fact, innovation does not always rhyme with digital. So let’s be creative and get out of the box!

**General recommendations:**

- Get Out of the Box. Be curious. Follow design trends on YouTube, LinkedIn, in podcasts, on Instagram accounts. Explore the internet when you discover a new concept. Build your own design culture.
- Document everything you do, take notes, open a medium account to identify and show your deliverables, thoughts and feedback. It will be useful for your portfolio!
- Trust the design process. One step after another.
- Design needs to fail. 
  Failure is even a necessary step, but ideally it should happen before a product is launched, during the prototype and test phases
- Make connections. Use LinkedIn, your friends, friends of friends to frequently meet designers and ask them about how they practice design in their organization. Who know, some day they may remember you and offer you a contract!

### Instructions

- Read all the scripts very carefully.
- Extract at least 6 insights and write them down on a PDF file.
  - Insights must be either shared by several people or consistent with what other people have already experienced.
  - For each insight, name who said it.
- Upload the PDF document on Github, labeled as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, it can be labeled as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within the document.

**Definition of 'insight': A key learning from what you have seen, read or heard.**

### Deliverables

- A PDF document.

**Tips:**

- Pay attention to the global aspect of the document. It must be clear, simple and easy to read. You can get inspiration on [canva](https://www.canva.com/) but don’t overload your design with too much details!
- Examples of insights from the scripts (non-exhaustive list):

  - Runs several times a week (Joe, Nathan, Guillaume, Anaelle)
  - Doesn’t drink too much right before the race because it hurts my stomach (Nathan, Anaelle)
  - I run races with friends or peers (Joe, Nathan, Guillaume)

**Interview guide:**

- The following is the interview script used to conduct the seven user interviews.

Hello! My name is Agathe and I am conducting research about athletes and people who practice sports regularly. Hence, I'd be very happy to ask you some questions about the way you run, your habits, and the pain points you may have.

This interview will probably last 20 to 30 minutes.

Do you have any questions before we start?

Run

- What sports do you practice?
- How often do you run?
- When was the last time you went out for a run?

Races

- What was the last race you ran?
- How was it? Tell me about the experience you had.
- How did you get prepared?
- What would you have done differently? Why?

Hydration

- What do you remember about the way you hydrated?
- How did you manage your hydration?
- Have you ever found yourself in trouble due to hydration? What happened?
- What would you never do again? Why?

That's it, we went through all the questions I had.

Thank you so much for your time!

I have a last favor to ask you: is there anyone you know who runs frequently and would be available for a talk?

## Analytics

### Instructions

Read these articles and extract at least 5 key figures or insights that may be useful in understanding what athletes or sport practicing people experience related to hydration.

- On a PDF document, write at least 5 key figures or insights you extracted from the articles.
- Each insight or key figure should be justified by a quote and the title of the article.
- Upload the document on Github, labeled as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, it can be labeled as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within the document.

### Deliverables

- A PDF document.

**Tips:**

- Pay attention to the global aspect of the document. It must be clear, simple and easy to read. You can get inspiration on [canva](https://www.canva.com/) but don’t overload your design with too much details!

Examples of insights you can extract from the articles:

- Symptoms of dehydration can be headache, dizziness, nausea, lightheadedness, or fatigue.
- People experience dehydration when they lose 2% of their body mass loss (BML) in fluids/water/sweat.
- Sweat helps the body to maintain optimal body temperature.
- Sprint athletes are generally less concerned about the effects of dehydration than are endurance athletes.

**Resources:**

- [The effects of Hydration on Athletic Performance](https://sportscardiologybc.org/the-effects-of-hydration-on-athletic-performance/)
- [Dehydration and its effects on performance - Human Kinetics](https://us.humankinetics.com/blogs/excerpt/dehydration-and-its-effects-on-performance)
- [Accuracy of Urine Color to Detect Equal to or Greater Than 2% Body Mass Loss in Men Journal of Athletic Training](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC4741257/)
- [Fluid replacement for the physically active - Journal of Athletic Training](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC5634236/)
- [The importance of hydration - Harvard School of Public Health](https://www.hsph.harvard.edu/news/hsph-in-the-news/the-importance-of-hydration/)
- [Fluids and hydration in prolonged endurance performance - Pubmed](https://pubmed.ncbi.nlm.nih.gov/15212747/)

**Quote:**

Always base your decisions on the data, not on your biases.

## Personas

### Instructions

- Create a user (Pierre) persona based on several users from the same category.
- Upload the PDF document on Github, labeled as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, it can be labeled as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within the document.

Use the material you got from the exercise `User interview` to build the pierre persona. The following must be present in the document:

- Pierre's persona card with a picture.
- A quote extracted from the interview scripts.
- A description of Pierre that is a mix of Joe, Nathan, Guillaume, and Anaelle’s stories.
- He must have at least 2 goals, habits and frustrations.
- Insights from the exercise `User interview` must be included in Pierre's persona card.

### Deliverables

- A user persona on a PDF document.

**Tips:**

- Pay attention to the global aspect of the document. It must be clear, simple and easy to read. You can get inspiration on [canva](https://www.canva.com/) but don’t overload your design with too much details!
- You may use Figma and extract a PDF document out of it.
- Detect people who face the same kinds of problems and group them.
- When you find 2 or more persons who face the same kind of problem, you can merge their testimonials to create a persona. In this case, Joe, Nathan, Guillaume and Anaelle who run races from time to time (they have run at least one race in their life, but less than 3 times a year) and have faced dehydration problems.
- A persona is fictional: do not use one of your users names, but a name that is consistent with your users demographics and social group. In this case, we'll choose a man, as 3 out of 4 are men, and Pierre as a first name so it's different (but consistent) from Joe's, Nathan's, Guillaume's and Anaelle's.
- As to the age, average the ages of your selected users. In this case, 32 (Joe is 30, Nathan is 39, Guillaume is 30 and Anaelle is 29).
- The persona has to be sport-oriented, as it is the context of this research. However, broader information, like the scan info (jobs, location, etc.) are more than welcome to give more context.

**Resources:**

- [Make your persona great again](https://uxdesign.cc/personas-e60c1c06ead1)
- [Persona, journey maps, user flow, site map, OH MY!](https://uxdesign.cc/personas-journey-maps-site-maps-and-user-flows-oh-my-e71d044b4bcb)
- [Persona framework](https://miro.medium.com/max/1400/0*RbHfR6BHhhFIENNf)

**Quote:**

"Focus unswervingly, on the customer’ Jesse Hertzberg | Former COO of Squarespace

## User Journey

### Instructions

Based on your persona card, and the interview scripts, design Pierre’s user journey.

The journey must contain:

    - A timeline that show the journey of your persona step by step, before, during and after running a race divided into phases.
    - Pierre’s actions must be written on the timeline and for each action, a thought must be written and for every thought a main emotion must be present.

- Upload the Figma file on Github, labeled as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, it can be labeled as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within the file.

### Deliverables

- A Figma file with Pierre’s user journey.

**Tips:**

- You may use Figma.
- Mix up some insights and details from the interview scripts to write a journey that is consistent with Pierre’s personality.
- You can, for instance, describe Pierre’s first marathon. The first phase could be the preparation, the second phase the race itself, and the third one how he feels about the race when he has done it.
- Break down the story step-by-step and define Pierre’s actions.
- Focus on each action and define Pierre’s thoughts and main emotion among the list.
- Adapt the line to Pierre’s thoughts and emotions.
- Define the opportunities to improve Pierre’s overall experience every time you see a pain point.
- Pay attention to the global aspect of the document. It must be clear, simple and easy to read. You can get inspiration on [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

Most articles you'll find will be about user journeys or customer journeys. Keep in mind that you can adapt this methodology to any persona with any kind of situation or process, even at school, outside the school, in the digital world, etc.

- [Tool: User Journey Mapping Template on Figma](https://www.figma.com/file/sXdUDoTXwItU7dyQYVkY1w/Tool---User-Journey-Map)
- [A Lean UX Customer Journey Map](https://uxdesign.cc/proto-journey-a-lean-ux-customer-journey-map-30ea3a241edc)
- [How to create a Customer Journey Map](https://www.youtube.com/watch?v=mSxpVRo3BLg)
- [Journey Mapping: How to build it](https://www.lucidchart.com/blog/how-to-build-customer-journey-maps)
- [Journey Mapping : Template on Figma](https://www.figma.com/file/5tittjiznRCWTNR2xI5FIT/Untitled?node-id=0%3A1)
- [Example](https://d2slcw3kip6qmk.cloudfront.net/marketing/blog/2017Q3/SEO-initiative-customer-journey-mapping/CustomerJourneyMap1.png)

**Quote:**

'It’s about catching customers in the act, and providing highly relevant and highly contextual information’ Paul Maritz | CEO Pivotal

## Problem Statement

### Instructions

Based on the insights from the exercises `analytics` and `user interviews`, comment the scope of possible problem statements.

- On a PDF document, write down one problem statement that summarizes the main problem that Pierre has when he runs.
- Upload the PDF document on Github, labeled as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, it can be labeled as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within the document.

### Deliverables

- A PDF document.

**Tips:**

- At this stage, it’s important to focus on the problem, not on the solution! You can start tackling the problem after (re)defining it.
- Several problem statements can be possible for each persona and user journey, but for this exercise, we are guiding you towards one.

- Examples of a correct problem statements:

  - How might we help Pierre (or your persona) measure and prepare his hydration before a race?
  - How might we make sure Pierre doesn’t get dehydrated?
  - How might we make sure Pierre drinks the cups that are offered during the race?
  - How might we provide Pierre some drink that contains everything he needs to avoid dehydration?
  - How might we make sure Pierre doesn’t get drunk the night before the race?

- Examples of wrong problem statements:
  - How might we make sure Pierre doesn’t get dehydrated?
    - Too broad —> The problem statement is out of the scope of running, so the solutions cannot be integrated in the specific context of running.
  - How might we make sure Pierre drinks the cups that are offered during the race?
    - Too narrow —> There are plenty of options to avoid dehydration without drinking the cups that are offered during the race.
  - How might we provide Pierre with a drink that contains everything he needs to avoid dehydration?
    - Focused on the solution, not the problem —> The problem statement is supposed to rephrase the brief and take into account the insights from the previous phase.
  - How might make sure Pierre doesn’t get drunk the night before the race?
    - Out of scope —> This is not about dehydration, nor about running.
- Pay attention to the global aspect of the document. It must be clear, simple and easy to read. You can get inspiration on [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

- [Stuck on a problem? Just ask how might we](https://relab.academy/design-thinking/stuck-on-a-problem-just-ask-how-might-we/)
- [Problem statement](https://www.indeed.com/career-advice/career-development/what-is-a-problem-statement)
- [Using "How Might We’ Questions to Ideative on the Right Problems](https://www.nngroup.com/articles/how-might-we-questions/)

**Quote:**

“If I had an hour to solve a problem, I’d spend 55 minutes thinking about the problem and 5 minutes thinking about solutions.” Albert Einstein

## Ideation

_You can replace Pierre with your own persona._

The chosen problem statement is:

“How might we help Pierre (or your persona) measure and prepare his hydration before a race?”

Now, let’s find creative solutions!

Find 3 friends outside of the program and run a quick ideation session (20 minutes).

- What you need for an in-person ideation workshop:

  - Prepare some papers or sticky notes, stickers, a jar, and pens.
  - A closed room for 20 minutes where everyone feels comfortable.

- Directions:
  - Ask them to turn off their phones.
  - Explain the context and introduce Pierre (or your persona).
  - Explain the goal:
    - Let’s find as many solutions as possible to the question: “How might we help Pierre (or your persona) measure and prepare his hydration before a race?”, given the following constraints (unveil them one after the other: 1 minute per constraint, 1 constraint per round):
      - If Pierre was blind
      - If Pierre was a bird
      - If Pierre was a billionaire
      - If Pierre had a twin who was constantly with him
      - If Pierre was 5 years old
      - If Pierre had 5 arms
      - If Pierre was 105 years old
      - If Pierre was very clumsy
      - If Pierre was very forgetful (and lost memory every 5 minutes)
      - If Pierre was deaf
      - If Pierre was a turtle
      - If Pierre was naked
      - If Pierre couldn’t stop talking 24/7
      - If Pierre was always late
      - If Pierre was dishonest
  - Set a timer for each round.
  - Ask the participants to do, at each round, the following:
    - Write down their ideas on a sticky note (1 idea per sticky note).
    - Read them out loud.
    - Put the sticky note in a jar.
  - Gather all the ideas.
  - Give the participants 3 stickers each and ask them to vote for the best three options.
  - If there isn’t a solution that stands out of the crowd, hang them on a board and organize them according to these two parameters: easy to implement and efficient. Example in the resources.
  - Choose 1 main idea to solve the problem.

### Instructions

- Take pictures of the session.
- Create a board with all the ideas (on Miro or Figma for example).
- Highlight one main idea to solve the problem next to the board.

### Deliverables

- A zip file.

Don't forget to:

- Upload the documents on Github, in a zip folder named “ProjectTitle_Name_FirstName”, with all project deliverables as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, the first deliverable can be named as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within all written documents.

**Resources:**

- [Tool: Ideation Voting Board Framework on Figma](https://www.figma.com/file/nTAWiacCffXvd8dXsLP3Sb/Ideation-Voting-Framework)
- [Where Good ideas come from by Steven Johnson](https://www.ted.com/talks/steven_johnson_where_good_ideas_come_from)
- [Creative Confidence by Tom Keller](https://booksvooks.com/creative-confidence-unleashing-the-creative-potential-within-us-all-pdf.html)
- [Podcast What is wrong with UX?](https://www.usersknow.com/podcast/2016/10/10/ua1wdsszhx2pemugxc1e0qj0a3l9cs)
- [Brainwriting #2](https://dux.typepad.com/dux/2011/01/method-2-of-100-brainwriting-brainwriting-is-an-ideation-method-for-quickly-generating-ideas-by-asking-people-to-write-thei.html)

**Quote:**

Chances are that... If you have gone through all possible solutions, you’ve found the good one.

## Prototyping

### Instructions

Develop the idea you got in the exercise `ideation`!

Design a storyboard of Pierre (or your persona) using your idea as a solution. Show all the steps with drawings on paper (6 to 12 steps).

### Deliverables

- Pictures of 1 storyboard to describe your solution, on paper.

Don't forget to:

- Upload the documents on Github, in a zip folder named “ProjectTitle_Name_FirstName”, with all project deliverables as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, the first deliverable can be named as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within all written documents.

**Tips:**

- 1 drawing per action

**Resources:**

- [How UX storyboards can transform your creative process](https://uxdesign.cc/ux-storyboarding-2ce43875f3de?sk=41b28ecef8c52d9944e5e636881111cf)
- [17 reasons to use storyboards in UX design](https://uxdesign.cc/17-reasons-to-use-a-storyboards-in-ux-design-2bc6fea73e20?source=friends_link&sk=5bb2722f1f9ff06d4f22b0abfe52f508)
- [How to storyboard experiences](https://uxdesign.cc/how-to-storyboard-experiences-fc051e2bc04d)
- [Using comic strips and storyboards to test your UX concepts](https://uxdesign.cc/using-comic-strips-and-storyboards-to-test-your-ux-concepts-cccad7ac7f71)

**Quote:**

“No product is an island. A product is more than the product. It is a cohesive, integrated set of experiences” Don Norman
