## Interview guide

**Context:**

Welcome to the 2nd quest.

Your mission, should you choose to accept it, is to focus on going on holidays with friends. As you may have noticed, experiencing weekends or other kinds of holidays is super nice, but may lead to some moments of irritation.

So this project’s goal is to make holidays more comfortable fo everyone. But first, as in all design processes, you need to understand the real problem behind stressful moments!

### Instructions

You need to create an interview guide to get information from your user.

And remember, you are not your user!

**Deliverable:**

- A PDF document with an interview guide.

**Tips:**

Here are the recommended steps :

- Define your objective, what you are looking for when interviewing people. Usually, this has to do with your user's habits, and the most painful problems they have regarding this topic.
- Write down 1 to 3 hypotheses you have regarding this topic, that needs to be either confirmed or disproved.
- Pick 3 to 5 main topics you need to get information on.
- For each topic, write 1 to 3 open-ended questions with a maximum of 10 questions. Remember, your user cannot answer with “Yes” or “No!” Ex: How, Why, What, When, Tell me about the last time you did... etc. If you really need to introduce a new topic by a close-ended question, ask why right after.
- Write some screening questions to have a few pieces of demographics (age, job, location, etc.)
- Structure your questions in a funnel, start with broad questions to focus on specific topics or situations. Remember to stay neutral in your tone to let the user tell their own story. Try to focus on 10 main questions.
- Write a greeting introduction, describing briefly (1) who you are and (2) what you are looking for. No need to say too much, but enough to provide a framework and the purpose of the interview.
- Write a conclusion to thank your user for their time, and prepare the next steps. Ex: ask to be put in touch with someone they know and who could be interested in this topic, etc.
- Upload the PDF document on Github, labeled as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, it can be labeled as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within the document.
- Pay attention to the global aspect of the document. It must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

- [Respondent - Tool to find users](https://www.respondent.io)
- [How to conduct user interviews](https://uxdesign.cc/how-to-conduct-user-interviews-fe4b8c34b0b7?sk=9625632a522a9309a91297191e668565)
- [How to design better products through user interviews](https://uxdesign.cc/how-to-design-better-products-through-user-interviews-4c5142bb1fc4)
- [Asking the right questions](https://uxdesign.cc/asking-the-right-questions-on-user-research-interviews-and-testing-427261742a67)
- Podcast recommendation: [How to Ask Great UX Research Questions](https://open.spotify.com/episode/5UlvTKyVObeCDxkc8DAakU?si=fjMEHCdjRXWkYhwKhxIopQ)

**Quote:**

“To ask open-ended questions is the best approach, but it’s easy to get into the weeds in data analysis when every answer is a paragraph or two of prose. Users quickly tire of answering many open-ended questions, which usually require a lot of typing and explanation.” Norman Nielsen Group

## Run interviews

### Instructions

You must run 6 interviews in pairs, one being the interviewer and the other the note taker.
Go outside! Meet random people in cafés, at the bus, on city squares, in parks, on benches, introduce yourself and ask for 15 minutes of their time. Run your interview guide and write down anything that could be helpful, like reactions, hesitations, etc. You can use a dictaphone to make sure you're not missing anything. But in this case, let the interviewee know and ask for their permission!
You can offer them a coffee to thank them, sometimes a smile suffices!
At least 3 of your interviews must be with strangers. You'd be surprised how people are happy to help and looooove talking about themselves.

Then, write down the script on a written document, and give elements of context regarding each interview (place, time, name, etc.)

- Upload the PDF document on Github, labeled as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, it can be labeled as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within the document.

### Deliverables

- A PDF document with the scripts from all the 6 interviews.

**Tips:**

- Pay attention to the global aspect of the document. It must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

## Affinity diagram & Empathy map

### Instructions

Open your written scripts and extract the relevant information.

1. Use paper or digital sticky notes (Post-its or Miro.com) to isolate the pieces of information your interviewees shared with you.

   **1 idea, quote, or piece of information = 1 sticky note.**

2. When all your scripts are written/typed down on sticky notes, gather them in clusters based on themes, opinions, habits, or anything they could have in common.
3. Label the clusters.
4. Draw conclusions.
5. Fill an empathy map ONLY with the content from your affinity diagram.

Don't forget to:

- Upload the documents on Github, in a zip folder named “ProjectTitle_Name_FirstName”, with all project deliverables as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, the first deliverable can be named as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within all written documents.

### Deliverables

- An Affinity Diagram (pictures of the Affinity Diagram on paper or on digital tools like Miro)
- An Empathy Map (pictures of the Empathy Map on paper or on digital tools like Miro)

**Tips:**

- Pay attention to the global aspect of the deliverables. They must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

- [What is an Affinity Diagram and how to use it](https://miro.com/blog/create-affinity-diagrams/)
- [Affinity Diagram and Relation Examples](https://www.youtube.com/watch?v=VngWHIE4k9s)
- [Updates Empathy Map Canvas by Dave Gray](https://medium.com/the-xplane-collection/updated-empathy-map-canvas-46df22df3c8a)
- [Empathy Map by Krisztina Szerovay](https://uxknowledgebase.com/empathy-map-ca037e7686b6)

**Quote:**

Remember, you are not the user, so your opinions are not absolute truth.

## Problem statement

### Instructions

Based on your previous work and your empathy map, define a problem statement that would clarify the main problem you want to tackle.

You may use the "How Might We" exercise in pairs.

- Upload the PDF document on Github, labeled as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, it can be labeled as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within the document.

**Deliverable:**

- A PDF document with a problem statement starting with a "How Might We"

**Tips:**

- Pay attention to the global aspect of the document. It must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

- [Stuck on a problem? Just ask how might we](https://relab.academy/design-thinking/stuck-on-a-problem-just-ask-how-might-we/)
- [Problem statement](https://www.indeed.com/career-advice/career-development/what-is-a-problem-statement)
- [Using "How Might We’ Questions to Ideate on the Right Problems](https://www.nngroup.com/articles/how-might-we-questions/)

**Quote:**

"Out of clutter, find simplicity. From discord, find harmony. In the middle of difficulty, lies opportunity.’ Albert Einstein

## Ideation

### Instructions

To find creative solutions to your problem statement, use one of these techniques in groups of 5 people, twice.

1. Gather in groups of 2. During the first run, one is the facilitator and the other is the time-keeper and in charge of logistics. Switch roles for the second run.

2. Get as many ideas as possible within a defined timeframe, and narrow them down to 3 main ideas with a voting process (in pair or in group). Take pictures!

Don't forget to:

- Upload the documents on Github, in a zip folder named “ProjectTitle_Name_FirstName”, with all project deliverables as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, the first deliverable can be named as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within all written documents.

### Deliverables

- A PDF document that includes the script with all the steps + logistics.
- Pictures of the 2 sessions.
- A PDF document with 3 ideas that came out the 2 workshops.

**Tips:**

Ideation techniques:

- [Worst Idea](https://www.interaction-design.org/literature/article/learn-how-to-use-the-best-ideation-methods-worst-possible-idea)
- [Brainwriting](https://business.tutsplus.com/tutorials/how-to-use-brainwriting-for-rapid-idea-generation--cms-26451)
- [Mash Up](https://cdn.shopify.com/s/files/1/0259/7876/5396/files/IDEO_U_Ideation_Method_Mash-Up.pdf?33258)
- As to the script, you can refer to "Athlete, keep hydrated" Quest, Ideation Exercise.
- Pay attention to the global aspect of the deliverables. They must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

- [Where Good ideas come from by Steven Johnson](https://www.ted.com/talks/steven_johnson_where_good_ideas_come_from)
- [Creative Confidence by Tom Keller](https://booksvooks.com/nonscrolablepdf/creative-confidence-unleashing-the-creative-potential-within-us-all-pdf-1.html?page=1)
- [Podcast What is wrong with UX?](https://www.usersknow.com/podcast/2016/10/10/ua1wdsszhx2pemugxc1e0qj0a3l9cs)
- [Brainwriting #2](https://dux.typepad.com/dux/2011/01/method-2-of-100-brainwriting-brainwriting-is-an-ideation-method-for-quickly-generating-ideas-by-asking-people-to-write-thei.html)
- [Voting process at the end of an ideation workshop](https://www.interaction-design.org/literature/article/how-to-select-the-best-idea-by-the-end-of-an-ideation-session)

Quote:

- "Brainstorming means using the brain to storm a creative problem. Do so in commando fashion, with each stormer attacking the same objective.’ Alex Faickney Osborn

## User flow

### Instructions

Structure your main ideas into a comprehensive user flow.
You can include one, two, of the three main ideas from your previous exercise "Second Ideation" process, depending on how consistent it would be for the users.

Don't forget to:

- Upload the documents on Github, in a zip folder named “ProjectTitle_Name_FirstName”, with all project deliverables as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, the first deliverable can be named as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within all written documents.

**Deliverable:**

- A comprehensive user flow on a board (digital or pictures of a paper version).

**Tips:**

- Pay attention to the global aspect of the deliverables. They must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

- [User flow glossary](https://www.productplan.com/glossary/user-flow/)
- [Site flows vs User Flows](https://uxmovement.com/wireframes/site-flows-vs-user-flows-when-to-use-which/)
- [How to make a User Flow diagram](https://www.lucidchart.com/blog/how-to-make-a-user-flow-diagram)

**Quote:**

"Each use case is represented as a sequence of simple steps, beginning with a user’s goal and ending when that goal is fulfilled.’ Usability.gov

## Prototyping

### Instructions

Give another dimension to your user flow and turn it into a paper prototype (6 to 12 screens max).

- First, draw low-fidelity prototypes on paper. One main screen = 1 mobile frame. No micro-interactions nor multistate are needed for this exercise.
- Test the prototype with 3 people. To do so, prepare a usability testing guide following the [Design Sprint Five-Act interview](https://www.youtube.com/watch?v=U9ZG19XTbd4)
- Then, draw your mid-fidelity screens on Figma with simple shapes, in black and white.
- Upload the documents on Github, in a zip folder named “ProjectTitle_Name_FirstName”, with all project deliverables as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, the first deliverable can be named as “Doe_John_MidFiPrototype_05242024_V1”.

### Deliverables

- Pictures of a paper prototype.
- Figma file with the Wireframes (mid-fi).

**Tips:**

- Low-Fidelity: Paper Prototypes - [Example here](https://miro.medium.com/max/1400/1*5nUfqqA2gjdAYHagjbHA5w.jpeg)
- Mid-Fidelity: Wireframes - black and white, only the main elements, on digital prototype tools - [Example here](https://miro.medium.com/max/1400/1*eGSfaxwYbxUFomYbyO6GWw.png)
- High-Fidelity: Wireframes with color, styles, graphical details, and micro-interactions - [Example here](https://miro.medium.com/max/1400/1*Xn0HSKAvhr4TZzC9lN5udw.gif)

**Resources:**

- Google Ventures - Design Sprint: The Five-Act interview
- Example: [Paper Prototyping - The Practical Beginners guide](https://www.uxpin.com/studio/blog/paper-prototyping-the-practical-beginners-guide/)
- Example: [Wellness App](https://medium.com/@ebtaskin/story-of-my-very-first-ux-ui-design-project-at-ironhack-bootcamp-955addeb760e)
- [Android Mobile Template](https://i.pinimg.com/originals/43/8e/de/438ede24264eb9552b635d34142eac29.png)
- [iPhone Template](https://www.cssauthor.com/wp-content/uploads/2014/01/iPhone-5S-Template-PSD.jpg)
- Figma

**Quote:**

Any design is like a joke …if you have to explain it, it’s bad.