#### Interview Guide

###### Is the deliverable labeled as Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Is the deliverable in the correct format (PDF)?

###### Is there a title within the document?

###### Is the document clear, simple and easy to read?

###### Is the main purpose of the interview written?

###### Is there a proper introduction that describes the interviewer and the purpose of this interview?

###### Are there 1 to 3 hypotheses?

###### Are there 3 to 5 main topics?

###### Are there some screening questions?

###### Are there open-ended questions (10 max)?

###### Is there a funnel process (broader to more accurate questions)?

###### Is there a conclusion with the next steps and a thank you message?

#### Run interviews

###### Is the deliverable labeled as Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Is the deliverable in the correct format (PDF)?

###### Is there a title within the document?

###### Is the document clear, simple and easy to read?

###### Are the scripts from all the interviews in the document?

###### Are there at least 6 different interviews?

###### Are there at least 3 interviews with random people outside the building (ask the conditions where the interview was triggered and made)?

###### Do the questions from the interview guide match the written script of the interview?

#### Affinity diagram & Empathy map

###### Is there a zip folder labeled as “ProjectTitle_Name_FirstName”?

###### Are the deliverables labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Are the documents clear, simple and easy to read?

###### Is there an affinity diagram that is digital (on Miro) or on paper?

###### Is there an empathy map that is digital (on Miro) or on paper?

###### Are there multiple sticky notes that match with the transcription?

###### Are the sticky notes gathered in clusters?

###### Are the clusters labeled?

###### Is the empathy map filled ONLY with the content from the student affinity diagram?

###### Is the "See" section complete?

###### Is the "Say & Do" section complete?

###### Is the "Hear" section complete?

###### Is the "Think and Feel" section complete?

###### Is the "Pain" section complete?

###### Is the "Goal" section complete?

#### Problem Statement

###### Is the deliverable labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Is the deliverable in the correct format (PDF)?

###### Is there a title within the document?

###### Is the document clear, simple and easy to read?

###### Is the problem statement written with a "How Might We" question?

###### Does it include the user's main goal?

###### Does is include the user's main pain?

###### Is it narrow enough?

###### Is it broad enough?

#### Ideation

###### Is there a zip folder labeled as “ProjectTitle_Name_FirstName”?

###### Are the deliverables labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Are the documents clear, simple and easy to read?

###### Are there pictures of the ideation workshop?

###### Is the script consistent with the goal of the workshop?

###### Is there at least one picture of each of the workshops?

###### Is there a PDF document with at least 3 ideas that came out the 2 workshops?

###### Do the ideas offer a way to solve the problem statement?

#### User flow

###### Is there a zip folder labeled as “ProjectTitle_Name_FirstName”?

###### Is the deliverable labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Is the document clear, simple and easy to read?

###### Is there a user flow (picture of the paper version or digital)?

###### Does the user have a specific goal?

###### Is there a starting point and an ending point?

###### Is the ending point the goal of the user?

###### Is there a series of actions organized in rectangles (actions) or diamonds (choices)?

###### Are the actions linked with arrows?

#### Prototyping

###### Is there a zip folder labeled as “ProjectTitle_Name_FirstName”?

###### Are the deliverables labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Are the documents clear, simple and easy to read?

###### Are there picture of a paper prototype?

###### Are there between 6 and 12 different screens on the paper prototype?

###### Do the screens match the main steps of the user flow? (ask the student to show you)

###### Are there mid-fidelity wireframes on Figma that match the paper prototypes?

###### Are the paper prototypes and wireframes in black, grey, and white and do not include any style elements?. (ask the student to show you)

###### Does each screen have the main navigation elements (arrows, menu, call to actions)?

###### Does each screen follow the other according to the user flow?
