#### UX strategy

###### Is the deliverable labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Is the deliverable in the correct format (PDF or Figma)?

###### Is there a title within the document?

###### Is the document clear, simple and easy to read?

###### Is there a time frame?

###### In Empathy or User Research, is there at least one tool, selected by the student, among the following list?

    - User interviews
    - Analytics
    - Competitive analysis

###### In Define, is there at least one tool, selected by the student, among the following list?

     - Persona
     - Empathy Map
     - User Journey
     - JBTD or Jobs-to-be-done

###### Is there a “Problem Statement” spot? (ask the student to show you)

###### In Ideation, is there at least one ideation technique? (ask the student to show you)

###### Is there a “Prototype” spot that is either paper prototype or wireframe that contains at least one tool among the two following?

    - User Flow
    - Card Sorting

###### Is there a “Test” spot with at least 5 users?

###### Does each of these five phases have a time frame?

#### Empathy

###### Is there a zip folder labeled as “ProjectTitle_Name_FirstName”?

###### Are the deliverables labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Are the deliverables in the correct format?

###### Are the documents clear, simple and easy to read?

###### Is at least one of the following tools used?

    - User interviews
    - Analytics
    - Competitive analysis

###### Is the script completed (list of criteria in the instructions section)?

###### Is the tool completed (list of criteria in the instructions section)?

###### Is there a PDF document with the key learnings the students learnt from this phase?

#### Problem statement

###### Is the deliverable labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Is the deliverable in the correct format (PDF)?

###### Is there a title within the document?

###### Is the document clear, simple and easy to read?

###### Is there one question that stands as a problem statement?

###### Are there between 1 and 3 KPIs that will help you measure the success of the upcoming solution?

###### Are there the key learnings the students learnt from this phase?

#### Ideation

###### Is there a zip folder labeled as “ProjectTitle_Name_FirstName”?

###### Are the deliverables labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Are the deliverables in the correct format?

###### Are the documents clear, simple and easy to read?

###### Is there a script of the ideation workshop?

###### Is there the main objective in this script?

###### Is there an ice breaker in this script?

###### Are there the main steps of the ideation process in this script?

###### Are there clear instructions in this script?

###### Is there a time schedule for each step in this script?

###### Is there a voting process to select the main idea in this script?

###### Is there a board with all the ideas (on paper or digitally on Miro or Figma)?

###### Is there one main concept out of the ideation workshop?

###### Is there a document with the key learnings the students learnt from this phase?

#### Prototype

###### Is there a zip folder labeled as “ProjectTitle_Name_FirstName”?

###### Are the deliverables labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Are the documents clear, simple and easy to read?

###### Is there a paper prototype with 6 to 12 different screens?

###### Are there mid-fidelity wireframes on Figma?

###### Do the mid-fidelity wireframes match the paper prototype?

###### Are the paper prototypes and wireframes in black, grey and white and do not include any style elements?

###### Does each screen have the main navigation elements (arrows, menu, call to actions)?

###### Does each screen follow the other?

###### Is the navigation fluid from the beginning to the end?

###### If there are user flows or card-sorting, do they match the criteria (from the instructions section)?

###### Is there a PDF document with the key learnings the students learnt from this phase?

#### Test protocol

###### Is there a zip folder labeled as “ProjectTitle_Name_FirstName”?

###### Are the deliverables labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Are the documents clear, simple and easy to read?

###### Is the scope clear: What are we testing?

###### Are there either 5 names or a strategy to find users to interview?

###### Are the objectives clear: What are we proving?

###### Are the metrics clear to prove the test is efficient?

###### Is there a greeting introduction?

###### Are the instructions clear?

###### Is there a conclusion to thank the user?

###### Are there at least 3 learnings or iteration suggestions to be made for the next version?

###### Is there a PDF document with the key learnings the student learned at this stage?
