## User flow

**Context:**

Your company's client is a movie theaters chain called, "Movie 4 all".

They want to launch a platform for people who want to watch movies but don’t want to spend endless time selecting one.
You are replacing someone in the company who has already worked on the user research, the problem statement and the list of features they plan to develop. Your goal is to prototype and test these features.

### Instructions

Based on the 3 features that have come out of the ideation workshops led by your colleges, design 3 user flows (1 per feature).

Features:

- 1: Adding a filter based on their current mood.
- 2: Offer a selection of 3 movies to be watched.
- 3: Ask users to rate the movie after watching it for further recommendation.

Don't forget to:

- Upload the documents on Github, in a zip folder named “ProjectTitle_Name_FirstName”, with all project deliverables as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, the first deliverable can be named as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within all written documents.

### Deliverables

- 3 user flows on a board (digital or pictures of a paper board).

**Tips:**

- Pay attention to the global aspect of the deliverables. They must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

- [User flow glossary](https://www.productplan.com/glossary/user-flow/)
- [Site flows vs User Flows](https://uxmovement.com/wireframes/site-flows-vs-user-flows-when-to-use-which/)
- [How to make a User Flow diagram](https://www.lucidchart.com/blog/how-to-make-a-user-flow-diagram)

**Recommended tools:**

- Figma.
- Whimsical.

## Movie wireframes

### Instructions

Based on the 3 user flows, design 3 series of wireframes.

### Deliverables

- 3 series of wireframes (6 to 12 screens per flow) on Figma.

Don't forget to:

- Upload the documents on Github, in a zip folder named “ProjectTitle_Name_FirstName”, with all project deliverables as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, the first deliverable can be named as “Doe_John_MidFiPrototype_05242024_V1”.

**Tips:**

- Drawing paper prototypes before going digital might save you some time.
- Pay attention to the global aspect of the deliverables. They must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!
- Vocabulary
  - Low-Fidelity: Paper Prototypes - [Example here](https://miro.medium.com/max/1400/1*5nUfqqA2gjdAYHagjbHA5w.jpeg).
  - Mid-Fidelity: Wireframes - black and white, only the main elements, on digital prototype tools - [Example here](https://miro.medium.com/max/1400/1*eGSfaxwYbxUFomYbyO6GWw.png).
  - High-Fidelity: Wireframes with color, styles, graphical details, and micro-interactions - [Example here](https://miro.medium.com/max/1400/1*Xn0HSKAvhr4TZzC9lN5udw.gif).

**Resources:**

- [How to start sketching and wireframing](https://uxdesign.cc/how-to-start-sketching-and-wireframing-84a821f092e2)
- [Why should product teams use wireframes more often?](https://uxdesign.cc/why-should-product-teams-use-wireframes-more-often-60e34a2bc55)
- [The 5-pass reduction wireframing: A minimalist UX technique](https://uxdesign.cc/the-5-pass-reduction-wireframing-a-minimalist-ux-technique-aa415aad9ce2?sk=a218ac4db9d1049249bd381fbc5edeee)
- [The art of designing good wireframes](https://uxdesign.cc/the-art-of-designing-good-wireframes-8a2a9c10a95b)

**Recommended tools:**

- Figma.

**Quote:**

- "77% of users return to content and information sites because of ease-of-use. Only 22% return because the site belongs to a favorite brand." Forrester

## Wireframes animation

### Instructions

Animate your wireframes on Figma.

Think about multistate!!

This exercise is to be made individually.

### Deliverables

- An animated prototype on Figma.

Don't forget to:

- Upload the Figma file on Github, labeled as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, it can be labeled as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within the file.

**Tips:**

- Pay attention to the global aspect of the file. It must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

- [Efficiently Manage Your Designs - How Mockplus State Page Helps To View & Manage Multiple State](https://help.mockplus.com/p/372)

## Test on features

### Instructions

Test your wireframes!

Focus on the journeys. Prepare a test protocol with your research goals (what you want to test), test it on 5 different people and write down 3 ways to improve the prototype. Do this for all your wireframes!

### Deliverables

For each of the tests:

- A PDF document with a test protocol.
- Pictures of the ongoing tests.
- A PDF document with 3 ideas to improve the prototype based on you users' feedbacks.

Don't forget to:

- Upload the documents on Github, in a zip folder named “ProjectTitle_Name_FirstName”, with all project deliverables as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, the first deliverable can be named as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within all written documents.

**Tips:**

- Pay attention to the global aspect of the deliverables. They must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

- [How to do a user interview (tutorial from Google Ventures)](https://www.youtube.com/watch?v=Qq3OiHQ-HCU)
- [Running a usability test](https://www.usability.gov/how-to-and-tools/methods/running-usability-tests.html)
- [Usability testing: what is it and how to do it?](https://uxdesign.cc/usability-testing-what-is-it-how-to-do-it-51356e5de5d)
- [Analyzing usability testing data](https://uxdesign.cc/analysing-usability-testing-data-97667ae4999e)
- [The art of guerrilla usability testing](http://www.uxbooth.com/articles/the-art-of-guerrilla-usability-testing/)
- [How to write a user testing report that people will actually read](https://uxdesign.cc/how-to-write-a-user-testing-report-that-people-will-actually-read-652d15d2f92e)

## Iteration

### Instructions

Based on your previous tests, pick one of your 3 prototypes.

Implement the 3 ideas you wrote down as suggestions.

Run another series of test (and adapt your test protocol if necessary).

Write a report with the conclusion you made out of this iteration loop.

### Deliverables

- Pictures of the new test.
- A report with your conclusions, your impressions and your key learnings from this iteration (PDF document).
- Comparison between V1 and V2 of the prototype in the report.

Don't forget to:

- Upload the documents on Github, in a zip folder named “ProjectTitle_Name_FirstName”, with all project deliverables as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, the first deliverable can be named as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within all written documents.

**Tips:**

- This report will be handed on to the CEO. Pay attention to the details and make sure the document is clean and easy to use!
- Pay attention to the global aspect of the deliverables. They must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!