## Competitive Analysis

**Context:**

Quest n°3 is about Empathy.

In this scenario, the principal of your high school heard you were a designer. They chose to reach you to help them face school harassment among teenagers.

School harassment describes school-based harassment behaviors. It is characterized by the repeated use of violence, including mockery and other humiliations.

As a matter of fact, they realized they didn’t know this generation (15 to 18-year-olds) very well. So they are asking you to conduct user research to meet this population and understand them.

Your job is to explore your topic and use various tools included in this “Empathize” phase.

### Instructions

Conduct a competitive analysis among 10 associations or organizations fighting school harassment.

You can pick 10 organizations worldwide, or from your home region or home country. Let's browse!

Compare these 10 organizations' main actions, channels, values, according to the criteria you assume are relevant.

Don't forget to:

- Upload the documents on Github, in a zip folder named “ProjectTitle_Name_FirstName”, with all project deliverables as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, the first deliverable can be named as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within all written documents.

**Deliverables:**

- A competitive report with an introduction that explains your main conclusions (PDF)
- A chart to show the competitive landscape, with 2 axes of your choice (digital, psychological, local, closeness to students, institutional, etc.) (PDF)
- A competitive table to compare the organizations on 5 to 10 criteria (PDF)

**Tips:**

- Pay attention to the global aspect of the deliverables. They must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

- [Competitive Analysis: How to approach it effectively](https://uxdesign.cc/competitive-analysis-how-to-approach-it-effectively-def97d130d2c)
- [Competitive Analysis Templates](https://venngage.com/blog/competitor-analysis-template/)

**Quote:**

- 'Always design a thing in its larger context: a chair in a room, a room in a house, a house in an environment, an environment in a city plan’ Eero Sarrinen | Knoll
- Creating a great design isn’t just about understanding what the user wants. It’s also about understanding and delivering on what the business needs.

## Surveys

### Instructions

Prepare a survey to gather quantitative data from your users.

And remember, you are not your user!

To be used in proper studies and get viable results, a form should gather at least 100 answers. The answers should give you countable data you can use to prove a point and confirm trends, not verbatims or details.

- Upload the PDF document on Github, labeled as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, it can be labeled as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within the document.

### Deliverables

- A PDF document including your objective(s) and your hypotheses, the questions, an introduction and a conclusion.
- In the document, add the link to a survey ready to be spread.

**Tips:**

Here are the recommended steps:

1. Define your objective, what you are looking for when spreading your form to people. Usually, this has to do with figures, proportions, etc.
2. Write down 1 to 3 hypotheses you have regarding this topic, that you need to either confirm or disprove.
3. Pick 3 to 5 main topics you need to get information on.
4. For each topic, write 1 to 3 closed-ended questions. Remember, your user has to answer with a choice in a list of prepared answers or use the option "other" to write down the answer they can't find in the prepared list.
5. Write some screening questions to have a few pieces of demographics (age, job, location, etc.). This allows you to make sure the answers you get are from your target.
6. Structure your questions in a funnel: start with broad questions to focus on specific topics or situations. Remember to stay neutral in your tone to ket the user tell their own story. Try to focus on 10 main questions.
7. Write a greeting introduction, describing briefly (1) who you are and (2) what you are looking for. No need to say too much, but enough to provide a framework and the purpose of the form.
8. Write a conclusion to thank your user for their time, and prepare the next steps. Ex: ask to have this form spread to 3 people, etc.

- Pay attention to the global aspect of the document. It must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Mandatory: ask them if they would be available for an anonymous in-person interview (over the phone, in-person, through video chat: whatever they are more comfortable with) because you'll have to conduct at least 3 interviews further on.**

**Resources:**

- [Lean Survey Canvas: How to use it](https://medium.com/think-big-work-smart/the-lean-survey-canvas-1b0a00cab200)
- [User surveys - How to survey your users](https://refiner.io/blog/user-surveys/)
- [Designing a great survey with 3 simple steps](https://uxdesign.cc/designing-a-great-survey-with-3-simple-steps-283abaa67ad6)
- [UX Surveys: a quick guide to get the most out of them](https://uxdesign.cc/ux-surveys-a-quick-guide-to-get-the-most-out-of-them-1889d136be6a)
- [Better research through surveys](https://uxmastery.com/better-user-research-through-surveys/)
- [The user experience of surveys](https://uxdesign.cc/the-user-experience-of-surveys-a5420c82604a)

**Tools:**

- [Typeform](https://www.typeform.com/)
- [Google Forms](https://docs.google.com/forms/u/0/)

**Quotes:**

- “Surveys measure and categorize attitudes or collect self-reported data that can help track or discover important issues to address.” Norman Nielsen Group
- Surveys are not accurate in providing behavioral data because USERS OMIT STEPS IN THE MIDDLE AND MEMORIES ARE FAULTY.

## Broadcast strategy

### Instructions

Define and run your broadcast strategy among teenagers (15-18 years old)

Even though a proper survey requires at least 100 answers, for this exercise we request you to get 40.

Don't forget to:

- Upload the documents on Github, in a zip folder named “ProjectTitle_Name_FirstName”, with all project deliverables as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, the first deliverable can be named as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within all written documents.

### Deliverables

- A PDF document gathering your strategy.
  Please include:
  - Who you are targeting (remember, you can focus on your hometown as well as the whole planet)
  - A few ideas about how to reach them.
  - The channels you intend to use - be specific and include the links to the groups, forums, pages, account you plan to reach.(at least 8 different channels)
  - At least 2 different messages.
  - A plan A, B and C.
  - the 40 answers or more.
- A document to express your main feedback after running your broadcast strategy: what worked best? have you encountered any difficulties? What were they? How did you overcome them?

**Tips:**

In order to do so, you need to be creative and strategic!

- Who are you targeting? Teenagers, bullies, persecutor, witnesses, parents, teachers, people in the administration? From where?
- How can you reach them? Through which channels? On which forums, groups, with which hashtags? Will you try to get them through influencers?
- What words and what tone will you use?
- How will you approach them? What message will you write?
- What have you planned if they don't answer right away?
- Pay attention to the global aspect of the deliverables. They must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

Once your strategy is prepared, run it!

**Resource:**

- [How to get more survey responses](https://rafflepress.com/how-to-get-more-survey-responses/)

## Interviews

### Instructions

- Create an interview guide
- Conduct 3 interviews with teenagers

Don't forget to:

- Upload the documents on Github, in a zip folder named “ProjectTitle_Name_FirstName”, with all project deliverables as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, the first deliverable can be named as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within all written documents.

After knowing more about trends and "What" people do thanks to surveys, the main goal is to understand "why".

### Deliverables

- A PDF document with an interview guide.
- A PDF document with 3 scripts.
- An affinity diagram from your interviews (PDF or digital, on Miro or Figma for example)

**Tips:**

Here are the recommended steps :

1. Define your objective, what you are looking for when interviewing people. Usually, this has to do with your user's habits, and the most painful problems they have regarding this topic.
2. Write down 1 to 3 hypotheses you have regarding this topic, that needs to be either confirmed or disproved.
3. Pick 3 to 5 main topics you need to get information on.
4. For each topic, write 1 to 3 open-ended questions. Remember, your user cannot answer with “Yes” or “No”! Ex: How, Why, What, When, Tell me about the last time you did... etc. If you really need to introduce a new topic by a close-ended question, ask why right after.
5. Write some screening questions to have a few pieces of demographics (age, job, location, etc.)
6. Structure your questions in a funnel: start with broad questions to focus on specific topics or situation. Remember to stay neutral in your tone to let the user tell their own story. Try to focus on 10 main questions.
7. Write a greeting introduction, describing briefly (1) who you are and (2) what you are looking for. No need to say too much, but enough to provide a framework and the purpose of the interview.
8. Write a conclusion to thank your user for their time, and prepare the next steps. Ex: ask to be put in touch with someone they know and who could be interested in this topic, etc.

- Pay attention to the global aspect of the deliverables. They must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

- [Respondent - Tool to find users](https://www.respondent.io)
- [How to conduct user interviews](https://uxdesign.cc/how-to-conduct-user-interviews-fe4b8c34b0b7?sk=9625632a522a9309a91297191e668565)
- [How to design better products through user interviews](https://uxdesign.cc/how-to-design-better-products-through-user-interviews-4c5142bb1fc4)
- [Asking the right questions](https://uxdesign.cc/asking-the-right-questions-on-user-research-interviews-and-testing-427261742a67)

## Personas

### Instructions

Let's create a persona based on your quantitative research and your interviews.

Your persona card should include common trends amongst the people you got data from (habits, verbatims, fears, drivers, frustration, and pain points).

- Upload the PDF document on Github, labeled as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, it can be labeled as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within the document.

**Reminder:** Your persona is fictional and should not have the exact name or picture as someone you interviewed, but remember a persona is here so you can make decisions as a designer.

### Deliverables

- A PDF persona card extracted from a Figma file.

**Tips:**

- Pay attention to the global aspect of the document. It must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

- [Make your persona great again](https://uxdesign.cc/personas-e60c1c06ead1)
- [Persona, journey maps, user flow, site map, OH MY!](https://uxdesign.cc/personas-journey-maps-site-maps-and-user-flows-oh-my-e71d044b4bcb)
- [Persona framework](https://miro.medium.com/max/1400/0*RbHfR6BHhhFIENNf)

**Quotes:**

- "If you design for everyone, you delight no one."
- "A good user persona is the one based on user research, without regard to how many attributes we can describe."

## User journey

### Instructions

Now you have your persona, it's time to set it in motion.

Design a User Journey to represent your persona in their environment across the time, with key steps or actions related to our current topic (harassment).

The timeline can be of a day, a few hours, or a week. Please include the key moments related to harassment alongside the emotions related to each step. Use the material from your interviews and surveys.

Then, highlight the main pain points that need to be solved.

- Upload the Figma file on Github, labeled as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, it can be labeled as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within the file.

**Deliverable:**

- A Figma document with your persona's user journey.

**Tips:**

- Pay attention to the global aspect of the file. It must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

Most articles you'll find will be about user journeys or customer journeys. Keep in mind that you can adapt this methodology to any persona with any kind of situation or process, even at school, outside the school, in the digital world, etc.

- [A Lean UX Customer Journey Map](https://uxdesign.cc/proto-journey-a-lean-ux-customer-journey-map-30ea3a241edc)
- [How to create a Customer Journey Map](https://www.youtube.com/watch?v=mSxpVRo3BLg)
- [Journey Mapping: How to build it](https://www.lucidchart.com/blog/how-to-build-customer-journey-maps)
- [Journey Mapping template](https://d2slcw3kip6qmk.cloudfront.net/marketing/blog/2017Q3/SEO-initiative-customer-journey-mapping/CustomerJourneyMap1.png)
- [Journey Mapping example on Figma](https://www.figma.com/file/5tittjiznRCWTNR2xI5FIT/Untitled?node-id=0%3A1)
- [Example](https://d2slcw3kip6qmk.cloudfront.net/marketing/blog/2017Q3/SEO-initiative-customer-journey-mapping/CustomerJourneyMap1.png)

**Quotes:**

- “More options = More problems.” Scott Belsky | VP of Product & Community Adobe
- "A customer journey map is a visualization of the process that a person goes through in order to accomplish a goal. It’s used for understanding and addressing customer needs and pain points’ Norman Nielsen Group

## Problem statement

### Instructions

Based on your previous work, your persona and your user journey's main pain point, define a problem statement that would clarify the main problem you want to tackle.
You may use the "How Might We" exercise in pairs.

Then, define 3 KPIs (Key performance Indicators) that will help you measure the definition of Done and the success of the solution.

- Upload the PDF document on Github, labeled as follows: “Name_FirstName_DeliverableName_Date_VersionNumber”. For example, it can be labeled as “Doe_John_MidFiPrototype_05242024_V1”.
- Add a title within the document.

### Deliverables

- A PDF document with one problem statement and 3 KPIs to measure the impact of the solution

**Tips:**

- Pay attention to the global aspect of the document. It must be clear, simple and easy to read. You can get inspiration [canva](https://www.canva.com/) but don’t overload your design with too much details!

**Resources:**

- [Stuck on a problem? Just ask ‘How Might We’](https://relab.academy/design-thinking/stuck-on-a-problem-just-ask-how-might-we/)
- [Problem statement](https://www.indeed.com/career-advice/career-development/what-is-a-problem-statement)
- [Using ‘How Might We’ Questions to Ideate on the Right Problems](https://www.nngroup.com/articles/how-might-we-questions/)
- [Unleashing the power of a UX KPI](https://articles.uie.com/power_of_ux_kpi/)
- [KPI is an imperative tool for UX designers](https://uxdesign.cc/kpi-is-the-most-important-tool-ux-designers-should-be-learning-to-use-af31651120fc?sk=e619213adfda152171d597fc3ab1053a)
- [Measuring product design impact — KPIs, NPS, UX, WTF](https://uxdesign.cc/measuring-product-design-impact-kpis-nps-ux-wtf-3fe6a26e7400?sk=52c1f3842edbe90524f6da1fe85db71d)
- [A metrics-driven approach to evaluate success of UX design](https://uxdesign.cc/a-metrics-driven-approach-to-evaluate-success-of-ux-design-dd3bea098820?sk=acf1b1f7f0a7663d34d11906339b4698)
- [A big list of UX KPIs and metrics](https://www.cxpartners.co.uk/our-thinking/big_list_of_ux_kpis_and_metrics/)
- [How to use SMART goals to build your KPIs](https://www.grow.com/blog/how-to-use-smart-goals-to-build-your-kpis)
- Examples of KPIs (fake data! Not to be copied or used!):
  - Harassment case report rates increase by 20% within 2 years
  - Online harassment drops by 30% within 5 years
  - 90% of the 15-18 year-olds knows a harassment witness response process within 2 years

**Quote:**

"Every problem is an opportunity for design. By framing your challenge as a How Might We question, you’ll set yourself up for an innovative solution" IDEO
