#### Competitive Analyzes

###### Is there a zip folder labeled as “ProjectTitle_Name_FirstName”?

###### Are the deliverables labeled as Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Are the deliverables in the correct format?

###### Are the documents clear, simple and easy to read?

###### Is there an introduction that explains the main conclusions?

###### Is there a [competitive landscape](https://venngage-wordpress.s3.amazonaws.com/uploads/2019/03/g2crowd-grid.png) like this example?

###### Are there 2 relevant axes on the competitive landscape?

###### Are there 10 organizations that appear on the landscape?

###### Is there a [competitive table](https://venngage-wordpress.s3.amazonaws.com/uploads/2019/03/product-features-comparison-matrix.png) like this example?

###### Are there 5 to 10 criteria on the competitive table?

###### Are there 10 organizations that appear on the table?

#### Surveys

###### Is the deliverable labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Is the deliverable in the correct format (PDF)?

###### Is there a title within the document?

###### Is the document clear, simple and easy to read?

###### Is there the main purpose of the form?

###### Are there 1 to 3 hypotheses?

###### Is there a proper introduction that describes the interviewer and the purpose of this interview?

###### Are there 3 to 5 main topics?

###### Are there a few screening questions?

###### Are there closed-ended, unbiased questions? (10 maximum)

###### Is there a funnel process? (broader to more accurate questions)

###### Is there a conclusion with the next steps and a thank you message?

###### Is there a link to the survey ready to be spread?

#### Broadcast strategy

###### Is there a zip folder labeled as “ProjectTitle_Name_FirstName”?

###### Are the deliverables labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Are the deliverables in the correct format?

###### Are the documents clear, simple and easy to read?

###### Are the ideas structured and organized?

###### Is the target defined in terms of profile, age rank, situations, location?

###### Are there at least 8 different channels (and links) with social networks, pages, groups, forums, influencers, etc. included?

###### Are there at least two different messages?

###### Are there at least 3 rounds of campaigns as plans A, B and C?

###### Are there at least 40 answers?

###### Is there a feedback document including the main takeaways from this experience?

#### Interviews

###### Is there a zip folder labeled as “ProjectTitle_Name_FirstName”?

###### Are the deliverables labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Are the deliverables in the correct format?

###### Are the documents clear, simple and easy to read?

###### Is there a PDF document with an interview guide.

###### Are there 3 scripts?

###### Is there an [affinity diagram](https://d2slcw3kip6qmk.cloudfront.net/marketing/blog/2017Q1/affinity-diagram3.png) from the interviews?

#### Personas

###### Is the deliverable labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Is the deliverable in the correct format (PDF)?

###### Is there a title within the document?

###### Is the document clear, simple and easy to read?

###### Is there a framework?

###### Does the persona have a name (consistent with the people interviewed)?

###### Is there demographic data?

###### Are the persona's pain points included?

###### Are the persona's drivers included?

###### Are the persona's behaviors included (hobbies, technology, whatever seems relevant)?

#### User journey

###### Is the deliverable labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Is the deliverable in the correct format (Figma)?

###### Is there a title within the document?

###### Is the document clear, simple and easy to read?

###### Is there a frame with a timeline?

###### Does the timeline show the journey of the persona?

###### Are there emotions included at each step?

###### Are the main pain points highlighted?

#### Problem statement

###### Is the deliverable labeled as “Name_FirstName_DeliverableName_Date_VersionNumber”?

###### Is the deliverable in the correct format (PDF)?

###### Is there a title within the document?

###### Is the document clear, simple and easy to read?

###### Is the problem statement written with a "How Might We" question?

###### Does the problem statement include the persona's main goal or main pain point?

###### Is the problem statement narrow enough?

###### Is the problem statement broad enough?

###### Are there 3 measurable KPIs ([check the SMART list](https://www.grow.com/blog/how-to-use-smart-goals-to-build-your-kpis))?
