## Technical File

### Objective

To prepare to compile a technical file, with a view to obtaining the Level 7 RNCP title of Cloud DevOps Expert.

At the end of your training period, you'll have 5 days to compile your **personal** technical file. This will be an individual piece of work.

During your training, each time you validate a project, you will write a project report.

You will use your project reports to trace your achievements, to enable you to compile your technical file.

### Writing your project reports

Each time you validate a project (whether alone or in a group), you'll need to write a project report.

The objective is to enable you to trace your achievements, so that you can compile your technical file at the end of your training period.

Your technical file will be comprised of three core areas. You'll need to document enough information to cover the core skill blocks:

- Knowledge of Cloud Service Providers and Infrastructure
- Automation and orchestration of containerized services
- DevOps project management

To enable you to do this, your reports should detail:

- The problem you needed to solve
- The constraints you needed to work with
- The different stages of solving the problem:
  - Continuous integration
  - Continuous delivery
  - Quality control
- The technological choices you made
- The expected results, and actual results achieved
- The expected problems, and actual problems faced

You should store your project reports inside the repository of this project. The result will be a series of Markdown files, with one for each project that you validate during your training.

Your project reports should be named `project-name.md`, so that you can more easily trace your achievements to compile your technical file later.

### Compiling the technical file

You will have 5 days after the end of your training period in which to compile your technical file.

Your technical files must be an individual piece of work, and be comprised of approximately 8-10 pages.

You will rely on the contents of your project reports in order to trace your achievements.

Particular care must be given to spelling and presentation.

Your technical file must demonstrate your knowledge in the following three core skill blocks:

- **Knowledge of cloud infrastructure**
  - Understand and configure security services
  - Be responsible for the choice of hyperscalers
  - Set up observability systems on the perimeter, for infrastructures and applications
  - Manage authentication, cookies and sessions
  - Build, manage and run applications in isolated/containerized environments
  - Install and manage Linux servers
  - Use relational and non-relational databases
- **Automation, management and orchestration of containerized services**
  - Automate and orchestrate the different stages of continuous integration pipelines and continuous delivery (CI/CD) in a smooth and easily repeatable way
  - Automate configuration tasks
  - Automate and orchestrate server management
  - Automate test procedures
  - Automate the development of the integration chain deployment steps and continuous delivery
- **DevOps project management and management**
  - Exploit the expression of need of the product team
  - Be responsible for the collection and analysis of performance data from the integration and deployment phases
  - Be responsible for the reliability, clarity, traceability and security of the code and deliverables
  - Be responsible for managing code versioning
  - Implement security practices for applications and services deployed in the cloud
  - Be responsible for sharing knowledge and disseminating good Agile DevOps practices

> This project will not be audited.
